#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor openSUSE
%if "%{flavor}" == ""
%define branding_name %{nil}
ExclusiveArch:  %{nil}
%else
%define branding_name %{flavor}
%define dash -
%if "%{flavor}" == "SLE"
%define build_SLE 1
%else
%define build_openSUSE 1
%endif
%endif
Name:           NetworkManager-branding%{?dash}%{branding_name}
Version:        42.1
Release:        160000.1.9
Summary:        Default %{branding_name} branding for NetworkManager configuration file
License:        GPL-2.0-or-later
Group:          Productivity/Networking/System
URL:            http://www.gnome.org/projects/NetworkManager/
Source0:        NetworkManager.conf.in
Source1:        NetworkManager-branding-COPYING
BuildRequires:  NetworkManager
BuildRequires:  NetworkManager-branding-upstream
%requires_eq    NetworkManager
Supplements:    (NetworkManager and branding-%{branding_name})
Conflicts:      NetworkManager-branding
Provides:       NetworkManager-branding = %{version}
BuildArch:      noarch
%if (0%{?build_SLE} && 0%{?is_opensuse}) || (0%{?build_openSUSE} && ! 0%{?is_opensuse})
# Don't build SLE branding on openSUSE and vice-versa
ExclusiveArch:  %{nil}
%endif

%description
NetworkManager attempts to keep an active network connection available
at all times.  The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.	If
using DHCP, NetworkManager is intended to replace default routes,
obtain IP addresses from a DHCP server, and change name servers
whenever it sees fit.

This package provides the default %{branding_name} configuration for
/usr/lib/NetworkManager/conf.d/conncheck.conf, configured to
check connectivity against http://conncheck.opensuse.org.

%prep
%setup -q -T -c %{name}-%{version}
cp %{SOURCE1} COPYING

%build

%install
install -m0644 -D %{SOURCE0} %{buildroot}%{_prefix}/lib/NetworkManager/conf.d/conncheck-%{branding_name}.conf

%files
%license COPYING
%{_prefix}/lib/NetworkManager/conf.d/conncheck-%{branding_name}.conf

%changelog
* Fri Dec  1 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix most rpmlint warnings:
  + suse-zypp-packageand: use current Supplements: (A and B) syntax
    over packagand(A:B)
  + summary-ended-with-dot: Remove dot at the end of Summary:
  + no-%%build-section: Add empty %%build section
  + branding-supplements-missing: Fixes as part of
    suse-zypp-packageand.
* Fri Aug 12 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Expliciltly BuildRequire NetworkManager-branding-upstream:
  branding-upstream is produced by NetworkManager and is guaranteed
  to be the same version. Breaks a self-cycle.
* Thu Jul 28 2022 Frederic Crozat <fcrozat@suse.com>
- Move conncheck config file out of /etc. No longer
  import main config file.
* Sun Jun 28 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Also fix variable expansion in %%description (boo#1172773).
* Thu Jun 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Fix summary variable expansion: use %%rpm style instead of $shell
  style (boo#1172773).
* Tue Nov 26 2019 Frederic Crozat <fcrozat@suse.com>
- Switch package to _multibuild.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec file by running spec-cleaner
* Thu Sep 14 2017 fezhang@suse.com
- Apply %%{branding_name} also to summary and description.
* Wed Sep  6 2017 fezhang@suse.com
- Add a SLE flavor.
- Clean up specfile.
* Wed Aug 30 2017 sckang@suse.com
- SLE15 SP0 package, based on openSUSE version (bsc#1055200).
* Wed May  4 2016 fcrozat@suse.com
- SLE12 SP2 package, based on openSUSE version (FATE#320455).
* Sun Mar 13 2016 badshah400@gmail.com
- Initial package.
